<?php

/*
  Widget Name: AnchorTarget
  Description: Adiciona um título de seção
  Author: hacklab/
  Author URI: https://hacklab.com.br/
 */

namespace widgets;

class AnchorTarget extends \SiteOrigin_Widget {

    function __construct() {
        $fields = [
            'anchor_id' => [
                'type' => 'text',
                'label' => 'id da âncora (sem o hashtag)'
            ]
        ];

        parent::__construct('anchor-target', 'Destino de âncora', [
            'panels_groups' => [WIDGETGROUP_MAIN],
            'description' => 'Adiciona um destino de âncora'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }

}

Siteorigin_widget_register('anchor-target', __FILE__, 'widgets\AnchorTarget');
