<?php $query = new WP_Query($query_args);  ?>
<div class="posts-list">
    <?php if ($query->have_posts()): ?>
        <ul class="posts-list--posts">
        <?php while ($query->have_posts()):
            $query->the_post(); ?>
            <li>
                <div class="posts-list-large--info">
                    <span class="text-primary"><?php the_category(', ') ?></span> //
                    <span>por <?php the_meta_author(); ?></span> //
                    <span><?php the_date('F j, Y') ?></span>
                </div>
                
                <a href="<?= the_permalink() ?>">
                    <h3 class="posts-list-large--title"><? the_title() ?></h3>
                </a>
            </li>
        <?php endwhile; ?>
        </ul>
    <?php endif; ?>

    <?php if ($instance['vermais_href']): ?>
        <a class="posts-list--ver-mais" href="<?= $instance['vermais_href'] ?>"><?= pll_e('Ver mais') ?></a>
    <?php endif; ?>
</div>