<?php
get_header();

if(is_author()){
    $curauth = $wp_query->get_queried_object();
    $sidebar_slug = 'autor'; 
} else if(is_tag() || is_category()) {
    $sidebar_slug = 'categoria'; 
} else {
    $sidebar_slug = 'busca'; 
}

$archive = $wp_query->get('archive');
?>
<div class="row mt-20">
    <?php if(is_author()): ?>
        <div class="column large-12 small-12 text-center author--info">
            <?= get_avatar($curauth->ID) ?>
            <h2 class="ff-title uppercase author--info-name"><strong><?= $curauth->display_name ?></strong> </h2>

            <div class="author--info-biography"><?= nl2br(get_the_author_meta('description')) ?></div>
        </div>
    <?php elseif(is_tag() || is_category()): ?>
        <div class="column large-12 small-12 text-center">
            <h3 class="ff-title uppercase mt40 mt-sm-20 mb20"><?php echo is_tag() ? "Tag:" : "Categoria:" ?> <strong><?= single_cat_title( '', false ) ?></strong> </h3>
        </div>
    <?php elseif(is_home()): ?>
        <div class="column large-12 small-12 text-center">
            <h3 class="ff-title uppercase mt40 mt-sm-20 mb20">Notícias</strong> </h3>
        </div>
    <?php endif; ?>

    <?php templates\part('posts-list-with-sidebar', [ 'slug' => $sidebar_slug ]); ?>
    
</div>

<?php get_footer();
