<div class="arts-repo <?= $instance['background'] ?>">
    <div class="row">
        <div class="arts-repo--inner">
            <div class="row">
                <div class="column large-6 mb40 mb-sm-0">
                    <h2 class="arts-repo--title"><?= $instance['title'] ?></h2>
                </div>
                <div class="column large-6 mb40 mb-sm-20">
                    <p class="arts-repo--description"><?= $instance['description'] ?></p>
                </div>
                
                <?php 
                $query_posts = new WP_Query( $query_args );

                if ( $query_posts->have_posts() ) :
                    while( $query_posts->have_posts() ) :
                        $query_posts->the_post();
                        ?>
                        <div class="column large-4 mb20">
                            <?php templates\part('art-card'); ?>
                        </div>
                        <?
                    endwhile;
                    wp_reset_postdata();
                endif;
                ?>
                
                <div class="column large-12 text-center">
                    <a href="/repositorio-de-artes" class="button outline white">Ver Mais Artes</a>
                </div>
                
            </div>
        </div>
    </div>
</div>