<?php

/*
  Widget Name: Texto para Compartilhar
  Description: Adiciona um bloco de texto com opção para compartilhar
  Author: hacklab/
  Author URI: https://hacklab.com.br/
 */

namespace widgets;

class TextShare extends \SiteOrigin_Widget {

    function __construct() {
        $fields = [
            'text_content' => [
                'type' => 'text',
                'label' => 'Texto'
            ],
        ];

        parent::__construct('text-share', 'Texto para Compartilhar', [
            'panels_groups' => [WIDGETGROUP_MAIN],
            'description' => 'Adiciona um texto com share'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }

}

Siteorigin_widget_register('text-share', __FILE__, 'widgets\TextShare');
